/*
** Copyright (C) 1993-2013 Mark B. Hanson (mbh@panix.com)
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2, or (at your option)
** any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

// @(#)$Id: stats.h 1344 2013-04-05 21:18:39Z mark $

#ifdef	XSC_STATS_H

class Stats;

#else	// XSC_STATS_H
#define	XSC_STATS_H

#include "tthing.h"
#include "text.h"

enum stats_states {
    STATE_NORMAL,
    STATE_PAUSED,
    STATE_OVER
};

class Stats : public Tthing {
private:
    enum stats_states last_state;

    unsigned long last_score;
    int last_lives;

    Text text_score;
    Text text_state;

public:
    Stats(void);
    ~Stats(void);

    unsigned int score;
    int lives;
    enum stats_states state;

    void render(const bool);

    void reset(void);
    void resize(const int, const int);

    bool changed(void) const;
};


inline bool
Stats::changed(void) const
{
    return (score != last_score || lives != last_lives || state != last_state);
} // Stats::changed

#endif	// XSC_STATS_H
